<?xml version="1.0" encoding="utf-8"?>
<Config>
    <srcImgWidth1080p> 1920 </srcImgWidth1080p>
    <srcImgHeight1080p> 1080 </srcImgHeight1080p>
    <mNetInputWidth1080p> 960 </mNetInputWidth1080p>
    <mNetInputHeight1080p> 544 </mNetInputHeight1080p>
    <patchWidth1080p> 672 </patchWidth1080p>
    <patchHeigth1080p> 304 </patchHeigth1080p>
    <overlap1080p> 32 </overlap1080p>
    <modelPath1080p>/odm/etc/camera/cnnmodel/AIDenoise/vpp_denoise_net_1080p.om</modelPath1080p>
    <waterMarkPath1080p>/odm/etc/camera/videoPostProcessDenoise/WaterMark1080P.dat</waterMarkPath1080p>

    <srcImgWidth219> 2560 </srcImgWidth219>
    <srcImgHeight219> 1080 </srcImgHeight219>
    <mNetInputWidth219> 1280 </mNetInputWidth219>
    <mNetInputHeight219> 544 </mNetInputHeight219>
    <patchWidth219> 672 </patchWidth219>
    <patchHeigth219> 304 </patchHeigth219>
    <overlap219> 32 </overlap219>
    <modelPath219>/odm/etc/camera/cnnmodel/AIDenoise/vpp_denoise_net_1080p.om</modelPath219>
    <waterMarkPath219>/odm/etc/camera/videoPostProcessDenoise/WaterMark1080P.dat</waterMarkPath219>

    <srcImgWidthfull> 2448 </srcImgWidthfull>
    <srcImgHeightfull> 1080 </srcImgHeightfull>
    <mNetInputWidthfull> 1224 </mNetInputWidthfull>
    <mNetInputHeightfull> 544 </mNetInputHeightfull>
    <patchWidthfull> 672 </patchWidthfull>
    <patchHeigthfull> 304 </patchHeigthfull>
    <overlapfull> 32 </overlapfull>
    <modelPathfull>/odm/etc/camera/cnnmodel/AIDenoise/vpp_denoise_net_1080p.om</modelPathfull>
    <waterMarkPathfull>/odm/etc/camera/videoPostProcessDenoise/WaterMark1080P.dat</waterMarkPathfull>

    <srcImgWidth4k> 3840 </srcImgWidth4k>
    <srcImgHeight4k> 2160 </srcImgHeight4k>
    <mNetInputWidth4k> 1920 </mNetInputWidth4k>
    <mNetInputHeight4k> 1080 </mNetInputHeight4k>
    <patchWidth4k> 512 </patchWidth4k>
    <patchHeigth4k> 1080 </patchHeigth4k>
    <overlap4k> 32 </overlap4k>
    <modelPath4k>/odm/etc/camera/cnnmodel/AIDenoise/vpp_denoise_net_4k.om</modelPath4k>
    <waterMarkPath4k>/odm/etc/camera/videoPostProcessDenoise/WaterMark4K.dat</waterMarkPath4k>

    <frameWindowRadius> 1 </frameWindowRadius>
    <rawStepCountDxo> 1 </rawStepCountDxo>
    <reservedFloat> 0.1 </reservedFloat>
    <enable5D> 1 </enable5D>

    <triRatioMin> 0.8 </triRatioMin>
    <triRatioMax> 1.2 </triRatioMax>
    <klthMat0Min> 0.5 </klthMat0Min>
    <klthMat0Max> 1.5 </klthMat0Max>
    <klthMat4Min> 0.5 </klthMat4Min>
    <klthMat4Max> 1.5 </klthMat4Max>
    <tanABThre>   0.15 </tanABThre>
    <tanADThre>   0.15 </tanADThre>
    <tanBCThre>   0.15 </tanBCThre>
    <tanCDThre>   0.15 </tanCDThre>

    <cgridDiffThre> 20 </cgridDiffThre>

    <waterRect1Width>   45 </waterRect1Width>
    <waterRect1Height>  48 </waterRect1Height>
    <waterRect2Width>  438 </waterRect2Width>
    <waterRect2Height>  26 </waterRect2Height>
    <waterRect1DeltaX>  0 </waterRect1DeltaX>
    <waterRect1DeltaY>  0 </waterRect1DeltaY>
    <waterRect2DeltaX>  65 </waterRect2DeltaX>
    <waterRect2DeltaY>  11 </waterRect2DeltaY>

    <maxLvval> 100 </maxLvval>
    <minIsoval> 400 </minIsoval>
    <maxIsoval> 40000 </maxIsoval>
    <minIsovalWide> 500 </minIsovalWide>
    <maxIsovalWide> 40000 </maxIsovalWide>
    <minIsovalTele> 600 </minIsovalTele>
    <maxIsovalTele> 40000 </maxIsovalTele>
    <sendDcg2Out> 1 </sendDcg2Out>

    <sendDenoise2Out> 1 </sendDenoise2Out>
    <sendWaterMark2Out> 1 </sendWaterMark2Out>
    <send1080p2Out> 1 </send1080p2Out>
    <send4k2Out> 1 </send4k2Out>

    <onlySendZoom1x> 0 </onlySendZoom1x>
    <useNextToCurCgrid> 1 </useNextToCurCgrid>
    <useWideCam> 1 </useWideCam>
    <useTeleCam> 1 </useTeleCam>
    <useMultiCam> 1 </useMultiCam>

    <outScale1080> 1 </outScale1080>
    <outScale4K> 2 </outScale4K>

    <maxTeleZoom> 15.0 </maxTeleZoom>
    <firstFrameModelRunTotal> 2 </firstFrameModelRunTotal>
    <netOutWeightLowerMin> 0 </netOutWeightLowerMin>
    <netOutWeightLowerMax> 1 </netOutWeightLowerMax>
    <netOutWeightUpperMin> 0 </netOutWeightUpperMin>
    <netOutWeightUpperMax> 1 </netOutWeightUpperMax>
    <isoLowerBoundSmoothDelta> 100 </isoLowerBoundSmoothDelta>
    <isoUpperBoundSmoothDelta> 100 </isoUpperBoundSmoothDelta>
    <isoLowerBoundSmoothDeltaWide> 100 </isoLowerBoundSmoothDeltaWide>
    <isoUpperBoundSmoothDeltaWide> 100 </isoUpperBoundSmoothDeltaWide>
    <isoLowerBoundSmoothDeltaTele> 100 </isoLowerBoundSmoothDeltaTele>
    <isoUpperBoundSmoothDeltaTele> 100 </isoUpperBoundSmoothDeltaTele>
</Config>